description

# LibraryMirror class Null safety

A LibraryMirror reflects a Dart language library, providing access to the variables, functions, and classes of the library.

Implemented types
  - DeclarationMirror
  - ObjectMirror

## Constructors

LibraryMirror()

## Properties

declarations → Map<Symbol, DeclarationMirror>
  Returns an immutable map of the declarations actually given in the library. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isPrivate → bool
  Whether this declaration is library private. [...]
  read-only, inherited
isTopLevel → bool
  Whether this declaration is top-level. [...]
  read-only, inherited
libraryDependencies → List<LibraryDependencyMirror>
  Returns a list of the imports and exports in this library;
  read-only
location → SourceLocation?
  The source location of this Dart language entity, or `null` if the entity is synthetic. [...]
  read-only, inherited
metadata → List<InstanceMirror>
  A list of the metadata associated with this declaration. [...]
  read-only, inherited
owner → DeclarationMirror?
  A mirror on the owner of this Dart language entity. [...]
  read-only, inherited
qualifiedName → Symbol
  The fully-qualified name for this Dart language entity. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
simpleName → Symbol
  The simple name for this Dart language entity. [...]
  read-only, inherited
uri → Uri
  The absolute uri of the library.
  read-only

## Methods

delegate(Invocation invocation) → dynamic
  Performs `invocation` on the reflectee of this ObjectMirror. [...]
  inherited
getField(Symbol fieldName) → InstanceMirror
  Invokes a getter and returns a mirror on the result. [...]
  inherited
invoke(Symbol memberName, List positionalArguments, [Map<Symbol, dynamic> namedArguments = const <Symbol, dynamic>{}]) → InstanceMirror
  Invokes the named function and returns a mirror on the result. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setField(Symbol fieldName, dynamic value) → InstanceMirror
  Invokes a setter and returns a mirror on the result. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Whether this mirror is equal to `other`. [...]
  override